Package com.xebialabs.xlrelease.domain.events

## Class ReleasePausedEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.ReleasePausedEvent

- All Implemented Interfaces:
    `ReleaseEvent`, `ReleaseExecutionEvent`, `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class ReleasePausedEvent
      extends java.lang.Object
      implements ReleaseExecutionEvent, scala.Product, java.io.Serializable

  Event published when a release has been paused as part of a phase restart. param: release the release instance.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleasePausedEvent​(Release release)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReleasePausedEvent` | `apply​(Release release)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `ReleasePausedEvent` | `copy​(Release release)` |
    `Release` | `copy$default$1()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `Release` | `release()` | The release of which status has changed.
    `java.lang.String` | `toString()` |
    `static scala.Option<Release>` | `unapply​(ReleasePausedEvent x$0)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### ReleasePausedEvent

          public ReleasePausedEvent​(Release release)

  - ### Method Detail

    - #### apply

          public static ReleasePausedEvent apply​(Release release)

    - #### unapply

          public static scala.Option<Release> unapply​(ReleasePausedEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### release

          public Release release()

      Description copied from interface: `ReleaseExecutionEvent`
      The release of which status has changed.
      Specified by:
        `release` in interface `ReleaseExecutionEvent`
      Returns:
        (undocumented)

    - #### copy

          public ReleasePausedEvent copy​(Release release)

    - #### copy$default$1

          public Release copy$default$1()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`